<?php

namespace common\modules\triggers;

/**
 * triggers module definition class
 */
class Module extends \common\components\WebModule
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\triggers\controllers';

    public static $active = true;

    public $menu_icons = 'fa fa-file-o';

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }

    public static function name()
    {
        return 'Управление триггерами';
    }

    public static function description()
    {
        return 'Управление триггерами';
    }


    public static function version()
    {
        return '1.0';
    }

    public static function adminMenu()
    {
        return [
            'Управление триггерами' => '/triggers/trigger-admin/manage',
            'Добавление нового триггера' => '/triggers/trigger-admin/create',
            'Рассылки по кейсам' => '/triggers/caseschedule-admin/manage'
        ];
    }
}
